org.apache.ivy.osgi.updatesite

## Class UpdateSiteLoader

- java.lang.Object
- - org.apache.ivy.osgi.updatesite.UpdateSiteLoader

    public class UpdateSiteLoader
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`UpdateSiteLoader(RepositoryCacheManager repositoryCacheManager, EventManager eventManager, CacheResourceOptions options)`

### Method Summary

Methods
`RepoDescriptor` `load(java.net.URI repoUri)`
`void` `setLogLevel(int logLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateSiteLoader

    public UpdateSiteLoader(RepositoryCacheManager repositoryCacheManager,
                    EventManager eventManager,
                    CacheResourceOptions options)

### Method Detail

#### setLogLevel

    public void setLogLevel(int logLevel)

#### load

    public RepoDescriptor load(java.net.URI repoUri)
                        throws java.io.IOException,
                               java.text.ParseException,
                               org.xml.sax.SAXException

Throws:
  `java.io.IOException`
  `java.text.ParseException`
  `org.xml.sax.SAXException`